import request from "@/utils/request";

// 查询首页栏目模块列表
export function listModule(query) {
  return request({
    url: "/system/module/list",
    method: "get",
    params: query,
  });
}
export function listMore(query) {
  return request({
    url: "oa/column/list/more ",
    method: "get",
    params: query,
  });
}

// 查询首页栏目模块详细
export function getModule(id) {
  return request({
    url: "/system/module/" + id,
    method: "get",
  });
}

// 新增首页栏目模块
export function addModule(data) {
  return request({
    url: "/system/module",
    method: "post",
    data: data,
  });
}

// 修改首页栏目模块
export function updateModule(data) {
  return request({
    url: "/system/module",
    method: "put",
    data: data,
  });
}

// 删除首页栏目模块
export function delModule(id) {
  return request({
    url: "/system/module/" + id,
    method: "delete",
  });
}
